﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartMultiTooltipDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Alex;Jen;Steve;Andrew;Valerie".Split(';');
        
        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    Name = names[i],
                    Value1 = r.Next(1, 25),
                    Value2 = r.Next(26, 50),
                    Value3 = r.Next(51, 75),                    
                    Value4 = r.Next(76, 100)
                });
            }                
        }
    }

    public class SampleData
    {
        public string Name { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }
        public int Value3 { get; set; }        
        public int Value4 { get; set; }
    }
}
